{ config, ... }:

let
  domain = "htpro.giugl.io";
in
{
  services.prowlarr.enable = true;

  architect.vhost.${domain} = with config.architect.networks; {
    dnsInterfaces = [ "tailscale" ];

    locations."/" = {
      port = 9696;
      allowLan = true;

      allow = [
        tailscale.net
      ];
    };

  };

  users.groups.media.members = [ "prowlarr" ];
}
